### File

`packages/eui-dynamic-forms-ui/src/lib/shared/services/dyn-config.service.ts`

### Index

###### Properties

- mapping

###### Methods

- getComponent
- getComponentInputModel
- getComponents

### Constructor

`constructor(uxDynMappingConfig: UxDynMappingConfig)`

Parameters :

Name | Type | Optional
uxDynMappingConfig | `UxDynMappingConfig` | No

### Methods

getComponent
`getComponent(id: string)`

Parameters :

Name | Type | Optional
id | `string` | No

Returns : `any`

getComponentInputModel
`getComponentInputModel(id: string)`

Parameters :

Name | Type | Optional
id | `string` | No

Returns : `{ schema: any; entry: any; }`

getComponents
`getComponents()`
Returns : `ComponentConfigList`

### Properties

mapping
Type : `UxDynMappingConfig`

# result-matching ""

# No results matching ""